org.apache.poi.ss.usermodel

## Enum FontCharset

- java.lang.Object
- - java.lang.Enum<FontCharset>
  - - org.apache.poi.ss.usermodel.FontCharset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontCharset>

  Deprecated.
  enum will be replaced by common version org.apache.poi.common.usermodel.FontCharset

      @Removal(version="4.0")
       @Deprecated
      public enum FontCharset
      extends java.lang.Enum<FontCharset>

  Charset represents the basic set of characters associated with a font (that it can display), and corresponds to the ANSI codepage (8-bit or DBCS) of that character set used by a given language.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANSI` Deprecated.
    `ARABIC` Deprecated.
    `BALTIC` Deprecated.
    `CHINESEBIG5` Deprecated.
    `DEFAULT` Deprecated.
    `EASTEUROPE` Deprecated.
    `GB2312` Deprecated.
    `GREEK` Deprecated.
    `HANGEUL` Deprecated.
    `HEBREW` Deprecated.
    `JOHAB` Deprecated.
    `MAC` Deprecated.
    `OEM` Deprecated.
    `RUSSIAN` Deprecated.
    `SHIFTJIS` Deprecated.
    `SYMBOL` Deprecated.
    `THAI` Deprecated.
    `TURKISH` Deprecated.
    `VIETNAMESE` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Deprecated. Returns value of this charset
    `static FontCharset` | `valueOf(int value)` Deprecated.
    `static FontCharset` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static FontCharset[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANSI

          public static final FontCharset ANSI

      Deprecated.

    - #### DEFAULT

          public static final FontCharset DEFAULT

      Deprecated.

    - #### SYMBOL

          public static final FontCharset SYMBOL

      Deprecated.

    - #### MAC

          public static final FontCharset MAC

      Deprecated.

    - #### SHIFTJIS

          public static final FontCharset SHIFTJIS

      Deprecated.

    - #### HANGEUL

          public static final FontCharset HANGEUL

      Deprecated.

    - #### JOHAB

          public static final FontCharset JOHAB

      Deprecated.

    - #### GB2312

          public static final FontCharset GB2312

      Deprecated.

    - #### CHINESEBIG5

          public static final FontCharset CHINESEBIG5

      Deprecated.

    - #### GREEK

          public static final FontCharset GREEK

      Deprecated.

    - #### TURKISH

          public static final FontCharset TURKISH

      Deprecated.

    - #### VIETNAMESE

          public static final FontCharset VIETNAMESE

      Deprecated.

    - #### HEBREW

          public static final FontCharset HEBREW

      Deprecated.

    - #### ARABIC

          public static final FontCharset ARABIC

      Deprecated.

    - #### BALTIC

          public static final FontCharset BALTIC

      Deprecated.

    - #### RUSSIAN

          public static final FontCharset RUSSIAN

      Deprecated.

    - #### THAI

          public static final FontCharset THAI

      Deprecated.

    - #### EASTEUROPE

          public static final FontCharset EASTEUROPE

      Deprecated.

    - #### OEM

          public static final FontCharset OEM

      Deprecated.

  - ### Method Detail

    - #### values

          public static FontCharset[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontCharset c : FontCharset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontCharset valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Deprecated.
      Returns value of this charset
      Returns:
        value of this charset

    - #### valueOf

          public static FontCharset valueOf(int value)

      Deprecated.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.